cURL
curl --request GET \
--url https://api.mottostreaming.com/cms/types/v1 \
--header 'Authorization: Bearer <token>'{
"types": [
{
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"field_groups": [
{
"title": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"validations": {
"count": {
"min": "<string>",
"max": "<string>"
},
"length": {
"min": "<string>",
"max": "<string>"
},
"range": {
"start": "<unknown>",
"exclude_start": true,
"end": "<unknown>",
"exclude_end": true
},
"in": {
"values": [
"<unknown>"
]
},
"link_type": {
"type_ids": [
"<string>"
],
"additional_fields": [
"<string>"
],
"editor_filter": {}
},
"asset": {
"types": [
"<string>"
]
}
},
"default_value": "<unknown>"
}
]
}
],
"disabled": true,
"settings": {
"allow_following": true,
"allow_push_notifications": true
}
}
],
"next_page_token": "<string>"
}Content Types
List types
GET
/
cms
/
types
/
v1
cURL
curl --request GET \
--url https://api.mottostreaming.com/cms/types/v1 \
--header 'Authorization: Bearer <token>'{
"types": [
{
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"field_groups": [
{
"title": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"validations": {
"count": {
"min": "<string>",
"max": "<string>"
},
"length": {
"min": "<string>",
"max": "<string>"
},
"range": {
"start": "<unknown>",
"exclude_start": true,
"end": "<unknown>",
"exclude_end": true
},
"in": {
"values": [
"<unknown>"
]
},
"link_type": {
"type_ids": [
"<string>"
],
"additional_fields": [
"<string>"
],
"editor_filter": {}
},
"asset": {
"types": [
"<string>"
]
}
},
"default_value": "<unknown>"
}
]
}
],
"disabled": true,
"settings": {
"allow_following": true,
"allow_push_notifications": true
}
}
],
"next_page_token": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
BASE_TYPE_UNSPECIFIED, BASE_TYPE_EVENT, BASE_TYPE_CREATIVE_WORK, BASE_TYPE_ENTITY ⌘I

